Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.protocol
Class UriHttpAsyncRequestHandlerMapper

    java.lang.Object
      org.apache.http.nio.protocol.UriHttpAsyncRequestHandlerMapper

All Implemented Interfaces:
  HttpAsyncRequestHandlerMapper

    @Contract(threading=SAFE)
    public class UriHttpAsyncRequestHandlerMapper

extends Object
implements HttpAsyncRequestHandlerMapper

Maintains a map of HTTP request handlers keyed by a request URI pattern.
Patterns may have three formats:

- `*`
- `*<uri>`
- `<uri>*`

This class can be used to map an instance of `HttpAsyncRequestHandler` matching a particular request URI. Usually the mapped request handler will be used to process the request with the specified request URI.

Since:
  4.3

Constructor Summary
`` | `UriHttpAsyncRequestHandlerMapper()`
`protected` | `UriHttpAsyncRequestHandlerMapper(UriPatternMatcher<HttpAsyncRequestHandler<?>> matcher)`

Method Summary
`protected String` | `getRequestPath(HttpRequest request)` Extracts request path from the given `HttpRequest`
`UriPatternMatcher<HttpAsyncRequestHandler<?>>` | `getUriPatternMatcher()` Gets the pattern matcher.
`HttpAsyncRequestHandler<?>` | `lookup(HttpRequest request)` Looks up a handler matching the given request URI.
`void` | `register(String pattern, HttpAsyncRequestHandler<?> handler)` Registers the given `HttpAsyncRequestHandler` as a handler for URIs matching the given pattern.
`String` | `toString()`
`void` | `unregister(String pattern)` Removes registered handler, if exists, for the given pattern.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UriHttpAsyncRequestHandlerMapper

    protected UriHttpAsyncRequestHandlerMapper(UriPatternMatcher<HttpAsyncRequestHandler<?>> matcher)

### UriHttpAsyncRequestHandlerMapper

    public UriHttpAsyncRequestHandlerMapper()

Method Detail

### getUriPatternMatcher

    public UriPatternMatcher<HttpAsyncRequestHandler<?>> getUriPatternMatcher()

  Gets the pattern matcher.

  Returns:
    the matcher
  Since:
    4.4.9

### register

    public void register(String pattern,
                         HttpAsyncRequestHandler<?> handler)

  Registers the given `HttpAsyncRequestHandler` as a handler for URIs matching the given pattern.

  Parameters:
    `pattern` - the pattern to register the handler for.
    `handler` - the handler.

### unregister

    public void unregister(String pattern)

  Removes registered handler, if exists, for the given pattern.

  Parameters:
    `pattern` - the pattern to unregister the handler for.

### getRequestPath

    protected String getRequestPath(HttpRequest request)

  Extracts request path from the given `HttpRequest`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### lookup

    public HttpAsyncRequestHandler<?> lookup(HttpRequest request)

  Looks up a handler matching the given request URI.

  Specified by:
    `lookup` in interface `HttpAsyncRequestHandlerMapper`
  Parameters:
    `request` - the request
  Returns:
    handler or `null` if no match is found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.